Subject: bug#38503: Locale can cause incorrect number parsing in binary files

From: Eric Blake <[email-masked]>
Date: Thu, 5 Dec 2019 14:50:12 -0600

On 12/5/19 12:55 PM, jan h wrote:
> compiling from scratch resulted in a normal, working version
> apparently Arch's package was somehow badly made?

You also need to check whether your builds were using gnulib's regcomp 
replacement, or sticking with the one from glibc; and in turn which 
version of glibc is in use (as it was glibc 2.28 that tried to use RRI 
in more locales, although work is still not complete there - and the 
presence or absence of particular historical glibc regcomp bugs 
determines whether configure decides to use gnulib's version instead).

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3226
Virtualization:  qemu.org | libvirt.org